> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monieswitch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# All Stores



## OpenAPI

````yaml openapi.json get /branch/store
openapi: 3.0.0
info:
  title: Monieswitch API Reference
  version: 1.0.0
  description: ''
servers: []
security:
  - bearerAuth: []
paths:
  /branch/store:
    parameters: []
    get:
      tags:
        - Branches
        - Stores
      summary: All Stores
      parameters:
        - name: page
          in: query
          required: false
          example: '1'
          schema:
            type: integer
        - name: size
          in: query
          required: false
          example: '20'
          schema:
            type: integer
        - name: name
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          headers:
            Content-Security-Policy:
              schema:
                type: string
              example: >-
                default-src 'self';base-uri 'self';font-src 'self' https:
                data:;form-action 'self';frame-ancestors 'self';img-src 'self'
                data:;object-src 'none';script-src 'self';script-src-attr
                'none';style-src 'self' https:
                'unsafe-inline';upgrade-insecure-requests
            Cross-Origin-Opener-Policy:
              schema:
                type: string
              example: same-origin
            Cross-Origin-Resource-Policy:
              schema:
                type: string
              example: same-origin
            Origin-Agent-Cluster:
              schema:
                type: string
              example: '?1'
            Referrer-Policy:
              schema:
                type: string
              example: no-referrer
            Strict-Transport-Security:
              schema:
                type: string
              example: max-age=15552000; includeSubDomains
            X-Content-Type-Options:
              schema:
                type: string
              example: nosniff
            X-DNS-Prefetch-Control:
              schema:
                type: string
              example: 'off'
            X-Download-Options:
              schema:
                type: string
              example: noopen
            X-Frame-Options:
              schema:
                type: string
              example: SAMEORIGIN
            X-Permitted-Cross-Domain-Policies:
              schema:
                type: string
              example: none
            X-XSS-Protection:
              schema:
                type: integer
              example: '0'
            Access-Control-Allow-Origin:
              schema:
                type: string
              example: '*'
            Access-Control-Allow-Credentials:
              schema:
                type: boolean
              example: 'true'
            Access-Control-Expose-Headers:
              schema:
                type: string
              example: >-
                Pragma,Expires,x-pub-key,Content-Type,Authorization,Cache-Control,X-Login-Token,X-Access-Token,Content-Language,ngrok-skip-browser-warning
            Content-Type:
              schema:
                type: string
              example: application/json; charset=utf-8
            Content-Length:
              schema:
                type: integer
              example: '231'
            ETag:
              schema:
                type: string
              example: W/"e7-wvBH/eKklwiuTolpN5Hg3xJDakk"
            Vary:
              schema:
                type: string
              example: Accept-Encoding
            Date:
              schema:
                type: string
              example: Tue, 24 Dec 2024 01:09:18 GMT
            Connection:
              schema:
                type: string
              example: keep-alive
            Keep-Alive:
              schema:
                type: string
              example: timeout=5
          description: All Stores - Successful
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      page:
                        type: integer
                      size:
                        type: integer
                      totalRecords:
                        type: integer
                      totalPages:
                        type: integer
                      totalStoreBalance:
                        type: integer
                      stores:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            name:
                              type: string
                            code:
                              type: string
                            phoneNumber:
                              type: string
                              format: utc-millisec
                            email:
                              type: string
                              format: email
                            website:
                              type: string
                            address:
                              type: string
                            walletId:
                              type: string
                            createdAt:
                              type: string
                              format: date-time
              example:
                status: true
                message: Operation is successful
                data:
                  page: 1
                  size: 20
                  totalRecords: 3
                  totalPages: 1
                  totalStoreBalance: 18615
                  stores:
                    - id: 9ab67f41-10c9-4f52-adfc-31f460980966
                      name: Lambe Shop
                      code: Store 3
                      phoneNumber: '2348123928345'
                      email: lambe@market.com
                      website: www.lambe.market.com
                      address: No 12, lambe area
                      walletId: 1e04b3a0-eabd-48b4-b5ba-91ec1d15a103
                      createdAt: '2024-12-27T14:36:09.463Z'
                    - id: 87b67fa5-553f-45ab-8daf-e446af4d6809
                      name: Ajuwon Market
                      code: null
                      phoneNumber: '2348123928344'
                      email: ajuwon@market.com
                      website: www.ajuwon.market.com
                      address: No 12, ajuwon market
                      walletId: 8f0c3fc0-47b5-4bd8-92bb-c2ab991d394d
                      createdAt: '2024-12-24T01:29:38.623Z'
                    - id: 3d06119f-1a61-49a4-8be9-e0e7917a9340
                      name: Somulu Market
                      code: null
                      phoneNumber: '2348123928344'
                      email: null
                      website: www.somolu.market2.com
                      address: No 12, Somolu market
                      walletId: 849c0188-d645-46b6-ac2c-8840a9d4b08b
                      createdAt: '2024-12-24T01:06:54.052Z'
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````